Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class Adler32

    java.lang.Object
      |
      +--java.util.zip.Adler32

All Implemented Interfaces:
  Checksum

public class Adler32
extends Object
implements Checksum

A class that can be used to compute the Adler-32 checksum of a data stream. An Adler-32 checksum is almost as reliable as a CRC-32 but can be computed much faster.

See Also:
  `Checksum`

Constructor Summary
`Adler32()` Creates a new Adler32 class.

Method Summary
`long` | `getValue()` Returns checksum value.
`void` | `reset()` Resets checksum to initial value.
`void` | `update(byte[] b)` Updates checksum with specified array of bytes.
`void` | `update(byte[] b, int off, int len)` Updates checksum with specified array of bytes.
`void` | `update(int b)` Updates checksum with specified byte.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Adler32

    public Adler32()

  Creates a new Adler32 class.

Method Detail

### update

    public void update(int b)

  Updates checksum with specified byte.
  Specified by:
    `update` in interface `Checksum`
  Parameters:
    `b` - an array of bytes

### update

    public void update(byte[] b,
                       int off,
                       int len)

  Updates checksum with specified array of bytes.
  Specified by:
    `update` in interface `Checksum`
  Following copied from interface: `java.util.zip.Checksum`
  Parameters:
    `b` - the byte array to update the checksum with
    `off` - the start offset of the data
    `len` - the number of bytes to use for the update

### update

    public void update(byte[] b)

  Updates checksum with specified array of bytes.

### reset

    public void reset()

  Resets checksum to initial value.
  Specified by:
    `reset` in interface `Checksum`

### getValue

    public long getValue()

  Returns checksum value.
  Specified by:
    `getValue` in interface `Checksum`
  Following copied from interface: `java.util.zip.Checksum`
  Returns:
    the current checksum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.